JcePasswordRecipientInfoGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.jcajce

## Class JcePasswordRecipientInfoGenerator

- java.lang.Object
- - org.bouncycastle.cms.PasswordRecipientInfoGenerator
  - - org.bouncycastle.cms.jcajce.JcePasswordRecipientInfoGenerator

- All Implemented Interfaces:
    RecipientInfoGenerator

      public class JcePasswordRecipientInfoGenerator
      extends PasswordRecipientInfoGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cms.PasswordRecipientInfoGenerator

      `password`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcePasswordRecipientInfoGenerator(org.bouncycastle.asn1.ASN1ObjectIdentifier kekAlgorithm, char[] password)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `calculateDerivedKey(int schemeID, org.bouncycastle.asn1.x509.AlgorithmIdentifier derivationAlgorithm, int keySize)`
    `byte[]` | `generateEncryptedBytes(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, byte[] derivedKey, GenericKey contentEncryptionKey)`
    `JcePasswordRecipientInfoGenerator` | `setProvider(java.security.Provider provider)`
    `JcePasswordRecipientInfoGenerator` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class org.bouncycastle.cms.PasswordRecipientInfoGenerator

      `generate, setPasswordConversionScheme, setSaltAndIterationCount, setSecureRandom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcePasswordRecipientInfoGenerator

          public JcePasswordRecipientInfoGenerator(org.bouncycastle.asn1.ASN1ObjectIdentifier kekAlgorithm,
                                           char[] password)

  - ### Method Detail

    - #### setProvider

          public JcePasswordRecipientInfoGenerator setProvider(java.security.Provider provider)

    - #### setProvider

          public JcePasswordRecipientInfoGenerator setProvider(java.lang.String providerName)

    - #### calculateDerivedKey

          protected byte[] calculateDerivedKey(int schemeID,
                                   org.bouncycastle.asn1.x509.AlgorithmIdentifier derivationAlgorithm,
                                   int keySize)
                                        throws CMSException

      Specified by:
        `calculateDerivedKey` in class `PasswordRecipientInfoGenerator`
      Throws:
        `CMSException`

    - #### generateEncryptedBytes

          public byte[] generateEncryptedBytes(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                      byte[] derivedKey,
                                      GenericKey contentEncryptionKey)
                                        throws CMSException

      Specified by:
        `generateEncryptedBytes` in class `PasswordRecipientInfoGenerator`
      Throws:
        `CMSException`